Bug 1044794 (CVE-2013-6448)

Summary: CVE-2013-6448 JBoss Seam: Information disclosure in remoting
Product: [Other] Security Response Reporter: David Jorm <djorm>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: aneelica, jrusnack, maschmid, mjc, mnovotny, security-response-team, vkrizan, weli
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20140120,reported=20131219,source=customer,cvss2=5/AV:N/AC:L/Au:N/C:P/I:N/A:N,wfk-2/Seam=affected,jboss/ewp-5=affected,eap-5/seam=affected,cwe=CWE-200
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-11 00:48:03 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1052099, 1055843    
Bug Blocks: 1044795, 1049751    

Description David Jorm 2013-12-18 22:05:09 EST
It was found that the InterfaceGenerator handler in JBoss Seam Remoting will expose details of all classes and methods on the server's classpath, not just methods with the org.jboss.seam.annotations.remoting.WebRemote annotation. A remote attacker could use this flaw to determine which classes are deployed on the JBoss server.
Comment 1 David Jorm 2013-12-19 20:27:33 EST
Acknowledgements:

Red Hat would like to thank Jon Passki of Coverity SRL for reporting this issue.
Comment 3 errata-xmlrpc 2014-01-20 12:32:18 EST
This issue has been addressed in following products:

  Red Hat JBoss Web Framework Kit 2.4.0

Via RHSA-2014:0045 https://rhn.redhat.com/errata/RHSA-2014-0045.html
Comment 7 Arun Babu Neelicattu 2015-02-11 00:48:03 EST
Statement:

Red Hat JBoss BRMS 5; Red Hat JBoss Enterprise Application Platform 4 and 5; Red Hat JBoss Enterprise Portal Platform 5; Red Hat JBoss Enterprise SOA Platform 4 and 5; and Red Hat JBoss Enterprise Web Platform 5 are now in Phase 3, Extended Life Support, of their respective life cycles. This issue has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat JBoss Middleware and Red Hat JBoss Operations Network Product Update and Support Policy: https://access.redhat.com/support/policy/updates/jboss_notes/